Package com.oracle.truffle.api.source

## Class BytesDecoder.UTF8BytesDecoder

- java.lang.Object
- - com.oracle.truffle.api.source.BytesDecoder.UTF8BytesDecoder

All Implemented Interfaces:
  `BytesDecoder`

Enclosing interface:
  BytesDecoder

    public static class BytesDecoder.UTF8BytesDecoder
    extends java.lang.Object
    implements BytesDecoder

### Nested Class Summary

### Nested classes/interfaces inherited from interface com.oracle.truffle.api.source.BytesDecoder

`BytesDecoder.LineMarker, BytesDecoder.UTF8BytesDecoder`

### Constructor Summary

Constructors
`UTF8BytesDecoder()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `decode​(byte[] bytes, int byteIndex, int length)`
`void` `decodeLines​(byte[] bytes, int byteIndex, int length, BytesDecoder.LineMarker lineMarker)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### UTF8BytesDecoder

    public UTF8BytesDecoder()

### Method Detail

#### decode

    public java.lang.String decode​(byte[] bytes,
                                   int byteIndex,
                                   int length)

Specified by:
  `decode` in interface `BytesDecoder`

#### decodeLines

    public void decodeLines​(byte[] bytes,
                            int byteIndex,
                            int length,
                            BytesDecoder.LineMarker lineMarker)

Specified by:
  `decodeLines` in interface `BytesDecoder`